Skip to main content
`Ctrl`+`K`

# PetscLogStagePop

This function pops a stage from the logging stack that was pushed with `PetscLogStagePush()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStagePop(void)

Not Collective

## Example Usage

If the option -log_view is used to run the program containing the following code, then 2 sets of summary data will be printed during PetscFinalize().

          PetscInitialize(int *argc,char ***args,0,0);
          [stage 0 of code]
          PetscLogStagePush(1);
          [stage 1 of code]
          PetscLogStagePop();
          PetscBarrier(...);
          [more stage 0 of code]
          PetscFinalize();

## See Also

Profiling, `PetscLogStagePush()`, `PetscLogStageRegister()`, `PetscBarrier()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages